
From: KC6HPN @ WB6YMH.#SOCA.CA

TAPR FULL-DUPLEX (NEW) 9600 BAUD MODEM MODS BY KC6HPN  (PART 1 OF 4)
                         APRIL 23, 1992

      These modifications correct several problems that can seriously degrade
the performance of the new (not the K9NG) TAPR 9600 baud modem.  They have
significantly improved the usability of my modem.  DCD (Data Carrier Detect)
operation, in particular, went from intermittent to rock solid.  All mods have
been implemented on my (first production run) TAPR modem board, which is
installed in a PK232MBX.
      I welcome any comments and will answer any questions on these
modifications.  Just drop a message in my BBS mailbox, 
KC6HPN @ WB6YMH.#SOCAL.CA.USA.NA.
                                               73, Brian, KC6HPN 

MODULATOR SIDE MODIFICATION:

1.  HOW:    Remove capacitor C5 (0.001 uf).

    WHY:   Op-amps tend to oscillate when driving a non-isolated capacitive
load to ground.  U22B, a TLC274 op-amp is driving C5 to ground through C31.
U22B may oscillate at approximately 400 kHz due to the pole created by C5.
This oscillation will be superimposed on the modulating waveform. To diagnose
this problem, examine the eye pattern at TXA.  The eye should be sharp, if it
is fuzzy, the op-amp is oscillating.

    NOTE:  C5 normally functions as part of an RFI filter to prevent noise
from entering the modem via the TXA line.  I have found that in my situation
C2 and R2 alone are sufficient.  Those with RFI problems should not remove C5
Instead, place a 220 to 470 ohm resistor in series with C31 to provide
resistive isolation from C5.  This resistor will cause a slight loss in output
drive.  If necessary, you may increase output drive by changing R39 to 300 k.

    NOTE:   The first TAPR kits used a TL084 op-amp for U22 which may be
slightly more resistant to oscillation.  However, the TL084 may still
oscillate.


DEMODULATOR SIDE MODIFICATION:

1.  HOW:    Change U4 from a TL084 to a TLC274 op-amp.
            Replace D2 (1N4148) with a germanium diode (Bvr > 15 volts)
            or if not available with a 1N3600 silicon diode.

    WHY:   Noise margin.  The data slicer output is extremely dirty.  An
increase in noise margin represents improved bit recovery performance.

The TLC274 can pull its output nearly to ground, the TL084 cannot.  This
becomes important in U4A, where the op-amp is used as a schmitt-trigger
comparator (data slicer).  The op-amp output drives a digital input to ground
through diode D2.  D2, a 1N4148, adds 0.9 volts offset from ground, and a
TL084 will add from 0.5 to 0.8 volts to this offset. Since a 74HCxx series
part must see less than 1.4 volts (VCC=5.0 v) to  sense a logic 0, the
resulting noise margin may be as low as 1.4-(0.8+0.9)= -0.3 volts.  This will
cause bit recovery errors and intermittent dropout of DCD (i.e. many retries)
With the TLC274 and 1N3600, noise margin is 1.4-(0.05+0.6)= 0.75 volts - much
better-.  Germanium diodes, now somewhat rare, add only 0.35 volts offset and
will boost noise margin even further to about 1.0 volts.

A trade off is that the TL084 slew rate is twice as fast as the TLC274, making
it a faster comparator.  However, increased noise margin seems to be the
critical item in my modem.

 
CONTINUED IN PART 2 OF 4 ...

